> For the complete documentation index, see [llms.txt](https://docs.apica.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apica.io/platform-docs/synthetic-monitoring-overview/how-to-articles/asm-scenarios-how-to/how-to-mask-sensitive-information-within-an-asm-scenario.md).

# How to Mask Sensitive Information Within an ASM Scenario

When command values contain sensitive information, they can be **masked**. This will prevent the value from being displayed in results.

**Example**

Let’s assume you use a scenario with the following commands:

| Command      | Target                                                                                                        | Value                                                        |
| ------------ | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| open         | `/`                                                                                                           |                                                              |
| selectWindow | `null`                                                                                                        |                                                              |
| type         | `id=username`                                                                                                 | `user1`                                                      |
| type         | `id=password`                                                                                                 | <p>{{$</p><p>Unknown macro: {maskapicaPassword}</p><p>}}</p> |
| clickAndWait | `_input`[unnamed link](https://apica-kb.atlassian.net/wiki/404?key=value%253D%2527Log%2Bin%2527%3Bsearch%3Fq) |                                                              |

If you want to mask the value `secretPa$$word` in the Check Result page the following steps are required:

* Add the command `Store` to store the password as a variable with the prefix `maskapica`
* Use this variable with the actual command which uses the password.

Your commands should now look like this:

| Command      | Target                                                                                                        | Value                                                        |
| ------------ | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| store        | `secretPa$$word`                                                                                              | `maskapicaPassword`                                          |
| open         | `/`                                                                                                           |                                                              |
| selectWindow | `null`                                                                                                        |                                                              |
| type         | `id=username`                                                                                                 | `user1`                                                      |
| type         | `id=password`                                                                                                 | <p>{{$</p><p>Unknown macro: {maskapicaPassword}</p><p>}}</p> |
| clickAndWait | `_input`[unnamed link](https://apica-kb.atlassian.net/wiki/404?key=value%253D%2527Log%2Bin%2527%3Bsearch%3Fq) |                                                              |

When Synthetic Monitoring runs a check using this scenario the result will be saved with the executed scenario commands list as the example above. When Synthetic Monitoring shows the check result on the check results page Synthetic Monitoring will recognize that there is a command value which starts with `maskapica`.

The command’s target will be masked on the the check results page:

| Command      | Target                                                                                                         | Value                                                        |
| ------------ | -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| store        | `*******`                                                                                                      | `maskapicaPassword`                                          |
| open         | `/`                                                                                                            |                                                              |
| selectWindow | `null`                                                                                                         |                                                              |
| type         | `id=username`                                                                                                  | `user1`                                                      |
| type         | `id=password`                                                                                                  | <p>{{$</p><p>Unknown macro: {maskapicaPassword}</p><p>}}</p> |
| clickAndWait | `//input`[unnamed link](https://apica-kb.atlassian.net/wiki/404?key=value%253D%2527Log%2Bin%2527%3Bsearch%3Fq) |                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apica.io/platform-docs/synthetic-monitoring-overview/how-to-articles/asm-scenarios-how-to/how-to-mask-sensitive-information-within-an-asm-scenario.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
